Subject: Re: [PATCH v3 2/2] gnu: guile-gnutls: Update to 3.7.11.

From: Vivien Kraus <[email-masked]>
Date: Thu, 29 Dec 2022 17:06:41 +0100

Le jeudi 29 décembre 2022 à 16:37 +0100, Simon Josefsson a écrit :
> One gnulib for each particular commit that is used
> by each respective project that rely on gnulib.

Yes, but a shallow checkout of gnulib. If I packaged the whole git
archive (if I could do it reliably), that would bring the checkouts for
all commits in gnulib, used or not. Granted, compressed.

> That sounds worse than
> having to download copies of gnulib when building a Guix package
>From what I understand, the idea in guix would be: yes that would be
horrible, the solution is for every project to use the same version of
gnulib!